import { LitElement } from 'lit';
import { PrimariaApi } from '../../../api/api';
import { IPdfDocument } from '../../../api/pdf-viewer-manager/pdf-viewer-manager';
export declare class PdfVisor extends LitElement {
    static styles: import('lit').CSSResult;
    api: PrimariaApi;
    pdfList: IPdfDocument[];
    activePdfs: IPdfDocument[];
    private subscriptions;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    private _initializePdfState;
    private _getPdfSrc;
    private _subscribeEvents;
    private _unsubscribeEvents;
    private _onPdfAdded;
    private _onPdfDeleted;
    private _removePdf;
    private _updateActivePdfs;
    render(): import('lit').TemplateResult<1>;
}
